#ifndef OCRRESULTWIDGET_H
#define OCRRESULTWIDGET_H

#include <QObject>
#include <QTextEdit>
#include <QGSettings>
#include "global/variable.h"

class OCRResultWidget : public QTextEdit
{
    Q_OBJECT
public:
    OCRResultWidget(QWidget *parent = nullptr);
    //    void setAlignment(Qt::Alignment alignment)override;
    void setFormatedText(QString);
public Q_SLOTS:

    void setFormatedText(QVector<QString>);

private Q_SLOTS:

    void setThemeStyle();

private:
    QGSettings *m_pGsettingThemeData = nullptr;

};

#endif // OCRRESULTWIDGET_H
